new Vue({
    el: '#crysli-modal-campaign-create-wizard',
    data: {
        loading: false,
        steps: {
            current: 1,
            max: 4
        },
        events: [],
        selected: {
            tab: 'REGULAR',
            type: 'CAMPAIGN_REGULAR',
            event: {
                uniqueId: '39224ad6-68a3-4971-99d4-3548abd9b20f',
                descShort: 'MANUAL',
                descLong: 'MANUAL'
            },
            action: {
                uniqueId: null,
                descLong: null
            }
        }
    },
    methods: {
        onSelectCampaignType(actionDesc, actionUniqueId) {
            this.selected.action.uniqueId = actionUniqueId;
            this.selected.action.descLong = actionDesc;
            this.nextStep();
        },
        onSelectAutomatedEvent(event) {
            this.selected.event = event;
            this.nextStep();
        },
        close() {
            this.$el.classList.remove('open');
        },
        nextStep() {
            if (this.inputValidation()) {
                ++this.steps.current
            }
        },
        previousStep() {
            --this.steps.current;
        },
        getStepClass(step) {
            return {
                active: step === this.steps.current,
                pending: step > this.steps.current,
                complete: step < this.steps.current
            };
        },
        onSelectCampaignTypeTab(tab) {
            switch (tab) {
                default:
                case 'REGULAR':
                    this.selected.type = 'CAMPAIGN_REGULAR';
                    this.selected.event = {
                        uniqueId: '39224ad6-68a3-4971-99d4-3548abd9b20f',
                        descShort: 'MANUAL',
                        descLong: 'MANUAL'
                    };
                    break;
                case 'AUTOMATED':
                    this.selected.type = 'CAMPAIGN_AUTOMATED_TEMPLATES';
                    this.selected.event = {
                        uniqueId: null,
                        name: null,
                        descLong: null
                    };
                    break;
            }

            this.selected.tab = tab;
        },
        getCampaignTypeTabClass(tab) {
            return {
                'active': this.selected.tab === tab,
                'show': this.selected.tab === tab
            }
        },
        getAutomatedCampaignTypeTabClass(type) {
            return {
                'active': this.selected.type === type,
                'show': this.selected.type === type
            }
        },
        inputValidation() {
            return true;
        }
    },
    mounted() {
        const that = this;

        window.addEventListener('keydown', function(event) {
            if (event.key === 'Escape' && that.$el.classList.contains('open')) {
                that.close();
            }
        });
    },
    beforeMount() {
        const that = this;
        const formData = new FormData();

        formData.append('action', 'crysli_modal_campaign_create_wizard_load');
        formData.append('security', security.modalCampaignWizardLoad);

        jQuery.ajax({
            url: ajaxurl,
            type: 'POST',
            cache: false,
            contentType: false,
            processData: false,
            data: formData,
            dataType: 'json',
            timeout: -1,
            success(response) {
                that.events = response.events;
            },
            error(error) {
                console.error(error.responseJSON);
            }
        });
    }
});