<?php

namespace STINA\CrystalLift\Abstracts;

use STINA\CrystalLift\Interfaces\Event as EventInterface;
use STINA\Library\Abstracts\Model as AbstractModel;

abstract class Event extends AbstractModel implements EventInterface
{
    /**
     * @var string
     */
    protected $uniqueId;

    /**
     * @var string
     */
    protected $name;

    /**
     * @var string
     */
    protected $descShort;

    /**
     * @var string
     */
    protected $descLong;

    /**
     * @var false|array
     */
    protected $config;

    /**
     * Returns a blank event configuration object.
     *
     * @return array
     */
    public static function getBlankConfig()
    {
        return array(
            'object'     => '',
            'trigger'    => '',
            'conditions' => [],
        );
    }

    /**
     * @inheritDoc
     */
    final public function getUniqueId()
    {
        return $this->uniqueId;
    }

    /**
     * @inheritDoc
     */
    final public function getName()
    {
        return $this->name;
    }

    /**
     * @inheritDoc
     */
    final public function getDescShort()
    {
        return $this->descShort;
    }

    /**
     * @inheritDoc
     */
    public function getDescLong()
    {
        return $this->descLong;
    }

    /**
     * @inheritDoc
     */
    public function getConfig()
    {
        return $this->config;
    }
}