<?php


namespace STINA\CrystalLift;

defined('ABSPATH') || exit;

class Assets
{
    /**
     * Handles all JavaScript file registration.
     *
     * @return void
     */
    public function registerJavaScript()
    {
        // Components
        wp_register_script(
            'crysli-component-campaigns',
            CRYSLI_JS_URL . 'crysli-component-campaigns.min.js',
            array('jquery', 'stina-vue.js-dev', 'stina-moment.js'),
            CRYSLI_VERSION,
            true
        );

        wp_register_script(
            'crysli-component-settings',
            CRYSLI_JS_URL . 'crysli-component-settings.min.js',
            array('jquery', 'stina-vue.js-dev', 'stina-moment.js'),
            CRYSLI_VERSION,
            true
        );

        // Modals
        wp_register_script(
            'crysli-modal-campaign-configure-event-wizard',
            CRYSLI_JS_URL . 'crysli-modal-campaign-configure-event-wizard.min.js',
            array('stina-select2', 'jquery', 'stina-vue.js-dev'),
            CRYSLI_VERSION,
            true
        );

        wp_register_script(
            'crysli-modal-campaign-create-wizard',
            CRYSLI_JS_URL . 'crysli-modal-campaign-create-wizard.min.js',
            array('jquery', 'stina-vue.js-dev'),
            CRYSLI_VERSION,
            true
        );

        wp_register_script(
            'crysli-modal-campaign-edit-content-wizard',
            CRYSLI_JS_URL . 'crysli-modal-campaign-edit-content-wizard.min.js',
            array('jquery', 'stina-vue.js-dev'),
            CRYSLI_VERSION,
            true
        );

        wp_register_script(
            'crysli-modal-campaign-edit-recipients-wizard',
            CRYSLI_JS_URL . 'crysli-modal-campaign-edit-recipients-wizard.min.js',
            array('jquery', 'stina-vue.js-dev'),
            CRYSLI_VERSION,
            true
        );
    }

    /**
     * Handles all CSS file registration
     *
     * @return void
     */
    public function registerStylesheets()
    {
        // Pages
        wp_register_style(
            'crysli-page-dashboard',
            CRYSLI_CSS_URL . 'page-dashboard.css',
            array('stina-framework'),
            CRYSLI_VERSION
        );

        wp_register_style(
            'crysli-page-campaigns',
            CRYSLI_CSS_URL . 'page-campaigns.css',
            array('stina-framework'),
            CRYSLI_VERSION
        );

        wp_register_style(
            'crysli-page-edit-campaign',
            CRYSLI_CSS_URL . 'page-edit-campaign.css',
            array('stina-framework'),
            CRYSLI_VERSION
        );

        wp_register_style(
            'crysli-page-settings',
            CRYSLI_CSS_URL . 'page-settings.css',
            array('stina-framework'),
            CRYSLI_VERSION
        );

        // Modals
        wp_register_style(
            'crysli-modal-campaign-configure-event-wizard',
            CRYSLI_CSS_URL . 'crysli-modal-campaign-configure-event-wizard.css',
            array('stina-framework', 'stina-select2'),
            CRYSLI_VERSION
        );

        wp_register_style(
            'crysli-modal-campaign-create-wizard',
            CRYSLI_CSS_URL . 'crysli-modal-campaign-create-wizard.css',
            array('stina-framework'),
            CRYSLI_VERSION
        );

        wp_register_style(
            'crysli-modal-campaign-edit-content-wizard',
            CRYSLI_CSS_URL . 'crysli-modal-campaign-edit-content-wizard.css',
            array('stina-framework'),
            CRYSLI_VERSION
        );

        wp_register_style(
            'crysli-modal-campaign-edit-recipients-wizard',
            CRYSLI_CSS_URL . 'crysli-modal-campaign-edit-recipients-wizard.css',
            array('stina-framework'),
            CRYSLI_VERSION
        );
    }
}