<?php


namespace STINA\CrystalLift\Enumerators;

use ReflectionClass;
use STINA\Library\Abstracts\Enumerator as AbstractEnumerator;

defined('ABSPATH') || exit;

abstract class CampaignAction extends AbstractEnumerator
{
    /**
     * @var string
     */
    const TRIGGER_DIALOG_LETTER = 'TRIGGER_DIALOG_LETTER';

    /**
     * @param string $enumerator
     * @return string
     */
    public static function label($enumerator)
    {
        switch ($enumerator) {
            case self::TRIGGER_DIALOG_LETTER:
                return __('Trigger Dialog Letter', 'stina-crystal-lift');
            default:
                return $enumerator;
        }
    }

    /**
     * Returns all constants as an array with their corresponding labels.
     *
     * @return array
     */
    public static function getLabelArray()
    {
        $oClass = new ReflectionClass(__CLASS__);
        $constants = $oClass->getConstants();
        $returnValue = array();

        foreach ($constants as $constant) {
            $returnValue[$constant] = self::label($constant);
        }

        return $returnValue;
    }
}