<?php


namespace STINA\CrystalLift\Enumerators;

use ReflectionClass;
use STINA\Library\Abstracts\Enumerator as AbstractEnumerator;

defined('ABSPATH') || exit;

abstract class CampaignAutomation extends AbstractEnumerator
{
    /**
     * @var string
     */
    const EVENT_BASED = 'EVENT_BASED';

    /**
     * @var string
     */
    const WORKFLOW_BASED = 'WORKFLOW_BASED';

    /**
     * @param string $enumerator
     * @return string
     */
    public static function label($enumerator)
    {
        switch ($enumerator) {
            case self::EVENT_BASED:
                return __('Event-Based', 'stina-crystal-lift');
                break;
            case self::WORKFLOW_BASED:
                return __('Workflow-Based', 'stina-crystal-lift');
                break;
            default:
                return $enumerator;
                break;
        }
    }

    /**
     * Returns all constants as an array with their corresponding labels.
     *
     * @return array
     */
    public static function getLabelArray()
    {
        $oClass = new ReflectionClass(__CLASS__);
        $constants = $oClass->getConstants();
        $returnValue = array();

        foreach ($constants as $constant) {
            $returnValue[$constant] = self::label($constant);
        }

        return $returnValue;
    }
}