<?php


namespace STINA\CrystalLift\Enumerators;

use ReflectionClass;
use STINA\Library\Abstracts\Enumerator as AbstractEnumerator;

defined('ABSPATH') || exit;

abstract class CampaignProvider extends AbstractEnumerator
{
    /**
     * @var string
     */
    const DP_TRIGGER_DIALOG = 'DP_TRIGGER_DIALOG';

    /**
     * @var string
     */
    const DEUTSCHE_POST = 'DEUTSCHE_POST';

    /**
     * @param string $enumerator
     * @return string
     */
    public static function label($enumerator)
    {
        switch ($enumerator) {
            case self::DP_TRIGGER_DIALOG:
                return __('Deutsche Post Trigger Dialog', 'stina-crystal-lift');
                break;
            case self::DEUTSCHE_POST:
                return __('Deutsche Post', 'stina-crystal-lift');
                break;
            default:
                return $enumerator;
                break;
        }
    }

    /**
     * Returns all constants as an array with their corresponding labels.
     *
     * @return array
     */
    public static function getLabelArray()
    {
        $oClass = new ReflectionClass(__CLASS__);
        $constants = $oClass->getConstants();
        $returnValue = array();

        foreach ($constants as $constant) {
            $returnValue[$constant] = self::label($constant);
        }

        return $returnValue;
    }
}