<?php


namespace STINA\CrystalLift\Enumerators;

use ReflectionClass;
use STINA\Library\Abstracts\Enumerator as AbstractEnumerator;

defined('ABSPATH') || exit;

abstract class CampaignStatus extends AbstractEnumerator
{
    /**
     * @var string
     */
    const CAMPAIGN_DRAFT = 'CAMPAIGN_DRAFT';

    /**
     * @var string
     */
    const CAMPAIGN_ACTIVE = 'CAMPAIGN_ACTIVE';

    /**
     * @var string
     */
    const CAMPAIGN_INACTIVE = 'CAMPAIGN_INACTIVE';

    /**
     * @var string
     */
    const CAMPAIGN_SUBMITTED = 'CAMPAIGN_SUBMITTED';

    /**
     * @param string $enumerator
     * @return string
     */
    public static function label($enumerator)
    {
        switch ($enumerator) {
            case self::CAMPAIGN_DRAFT:
                return __('Draft', 'stina-crystal-lift');
                break;
            case self::CAMPAIGN_ACTIVE:
                return __('Active', 'stina-crystal-lift');
                break;
            case self::CAMPAIGN_INACTIVE:
                return __('Inactive', 'stina-crystal-lift');
                break;
            case self::CAMPAIGN_SUBMITTED:
                return __('Submitted', 'stina-crystal-lift');
                break;
            default:
                return $enumerator;
                break;
        }
    }

    /**
     * Returns all constants as an array with their corresponding labels.
     *
     * @return array
     */
    public static function getLabelArray()
    {
        $oClass = new ReflectionClass(__CLASS__);
        $constants = $oClass->getConstants();
        $returnValue = array();

        foreach ($constants as $constant) {
            $returnValue[$constant] = self::label($constant);
        }

        return $returnValue;
    }
}