<?php


namespace STINA\CrystalLift\Enumerators;

use ReflectionClass;
use STINA\Library\Abstracts\Enumerator as AbstractEnumerator;

defined('ABSPATH') || exit;

abstract class CampaignType extends AbstractEnumerator
{
    /**
     * @var string
     */
    const CAMPAIGN_REGULAR = 'CAMPAIGN_REGULAR';

    /**
     * @var string
     */
    const CAMPAIGN_AUTOMATED_EVENT_BASED = 'CAMPAIGN_AUTOMATED_EVENT_BASED';

    /**
     * @param string $enumerator
     * @return string
     */
    public static function label($enumerator)
    {
        switch ($enumerator) {
            case self::CAMPAIGN_REGULAR:
                return __('Regular', 'stina-crystal-lift');
                break;
            case self::CAMPAIGN_AUTOMATED_EVENT_BASED:
                return __('Automated (Event-Based)', 'stina-crystal-lift');
                break;
            default:
                return $enumerator;
                break;
        }
    }

    /**
     * Returns all constants as an array with their corresponding labels.
     *
     * @return array
     */
    public static function getLabelArray()
    {
        $oClass = new ReflectionClass(__CLASS__);
        $constants = $oClass->getConstants();
        $returnValue = array();

        foreach ($constants as $constant) {
            $returnValue[$constant] = self::label($constant);
        }

        return $returnValue;
    }
}