<?php


namespace STINA\CrystalLift\Events\WooCommerce;

use STINA\CrystalLift\Abstracts\Event as AbstractEvent;
use STINA\CrystalLift\Enumerators\CampaignEventTrigger;
use STINA\CrystalLift\Enumerators\CampaignEventObject;

defined('ABSPATH') || exit;

class CustomerRegistered extends AbstractEvent
{
    /**
     * The event's unique identifier
     */
    CONST UNIQUE_ID = 'fd396b6e-d7bd-4558-96cf-91257b205b2b';

    /**
     * NewCustomer constructor.
     */
    public function __construct()
    {
        $this->uniqueId  = self::UNIQUE_ID;
        $this->name      = __('WooCommerce - New Customer', 'stina-crystal-lift');
        $this->descShort = __('Triggers every time a customer registers on the website.', 'stina-crystal-lift');
        $this->descLong  = __('Triggers every time a customer registers on the website.', 'stina-crystal-lift');
        $this->config = array(
            'object'     => CampaignEventObject::CUSTOMER,
            'trigger'    => CampaignEventTrigger::REGISTERED,
            'conditions' => array()
        );
    }
}