<?php


namespace STINA\CrystalLift\Events\WooCommerce;

use STINA\CrystalLift\Abstracts\Event as AbstractEvent;
use STINA\CrystalLift\Enumerators\CampaignEventTrigger;
use STINA\CrystalLift\Enumerators\CampaignEventObject;

defined('ABSPATH') || exit;

class OrderPlaced extends AbstractEvent
{
    /**
     * The event's unique identifier
     */
    CONST UNIQUE_ID = 'c4973df5-687e-4751-a387-79203d10f738';

    /**
     * NewCustomer constructor.
     */
    public function __construct()
    {
        $this->uniqueId  = self::UNIQUE_ID;
        $this->name      = __('WooCommerce - Product Purchased', 'stina-crystal-lift');
        $this->descShort = __('Triggers every time an order with a specific product has been paid for.', 'stina-crystal-lift');
        $this->descLong  = __('Triggers every time an order with a specific product has been paid for.', 'stina-crystal-lift');
        $this->config = array(
            'object'     => CampaignEventObject::ORDER,
            'trigger'    => CampaignEventTrigger::PLACED,
            'conditions' => array(
                array(
                    'entity'   => 'product',
                    'operator' => 'IN',
                    'values'   => array()
                )
            )
        );
    }

}