<?php


namespace STINA\CrystalLift\Interfaces;

defined('ABSPATH') || exit;

interface Event
{
    /**
     * Returns the event's UUID
     *
     * @return string
     */
    public function getUniqueId();

    /**
     * Returns the event's name
     *
     * @return string
     */
    public function getName();

    /**
     * Returns the event's short description.
     *
     * @return string
     */
    public function getDescShort();

    /**
     * Returns the event's long description.
     *
     * @return string
     */
    public function getDescLong();

    /**
     * Return's the event's configuration.
     *
     * @return false|array
     */
    public function getConfig();
}