<?php


namespace STINA\CrystalLift\Models;

use STINA\CrystalLift\Models\Provider as ProviderModel;
use STINA\Library\Abstracts\Model as AbstractModel;

defined('ABSPATH') || exit;

class Action extends AbstractModel
{
    /**
     * @var string
     */
    protected $uniqueId;

    /**
     * @var string
     */
    protected $descShort;

    /**
     * @var string
     */
    protected $descLong;

    /**
     * @var ProviderModel
     */
    protected $provider;

    /**
     * @var array
     */
    protected $config;

    /**
     * @return string
     */
    public function getUniqueId()
    {
        return $this->uniqueId;
    }

    /**
     * @param string $uniqueId
     */
    public function setUniqueId($uniqueId)
    {
        $this->uniqueId = $uniqueId;
    }

    /**
     * @return string
     */
    public function getDescShort()
    {
        return $this->descShort;
    }

    /**
     * @param string $descShort
     */
    public function setDescShort($descShort)
    {
        $this->descShort = $descShort;
    }

    /**
     * @return string
     */
    public function getDescLong()
    {
        return $this->descLong;
    }

    /**
     * @param string $descLong
     */
    public function setDescLong($descLong)
    {
        $this->descLong = $descLong;
    }

    /**
     * @return ProviderModel
     */
    public function getProvider()
    {
        return $this->provider;
    }

    /**
     * @param ProviderModel $provider
     */
    public function setProvider($provider)
    {
        $this->provider = $provider;
    }

    /**
     * @return array
     */
    public function getConfig()
    {
        return $this->config;
    }

    /**
     * @param array $config
     */
    public function setConfig($config)
    {
        $this->config = $config;
    }
}