<?php


namespace STINA\CrystalLift\Models;

use DateTime;
use STINA\CrystalLift\Models\Action as ActionModel;
use STINA\CrystalLift\Models\Event as EventModel;
use STINA\Library\Abstracts\Model as AbstractModel;

defined('ABSPATH') || exit;

class Campaign extends AbstractModel
{
    /**
     * @var string
     */
    protected $uniqueId;

    /**
     * @var string
     */
    protected $descLong;

    /**
     * @var string
     */
    protected $type;

    /**
     * @var string
     */
    protected $status;

    /**
     * @var EventModel[]
     */
    protected $events;

    /**
     * @var ActionModel[]
     */
    protected $actions;

    /**
     * @var DateTime
     */
    protected $metaInsertDt;

    /**
     * @var DateTime
     */
    protected $metaUpdateDt;

    /**
     * @return string
     */
    public function getUniqueId()
    {
        return $this->uniqueId;
    }

    /**
     * @param string $uniqueId
     */
    public function setUniqueId($uniqueId)
    {
        $this->uniqueId = $uniqueId;
    }

    /**
     * @return string
     */
    public function getDescLong()
    {
        return $this->descLong;
    }

    /**
     * @param string $descLong
     */
    public function setDescLong($descLong)
    {
        $this->descLong = $descLong;
    }

    /**
     * @return string
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * @param string $type
     */
    public function setType($type)
    {
        $this->type = $type;
    }

    /**
     * @return string
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @param string $status
     */
    public function setStatus($status)
    {
        $this->status = $status;
    }

    /**
     * @return EventModel[]
     */
    public function getEvents()
    {
        return $this->events;
    }

    /**
     * @param EventModel[] $events
     */
    public function setEvents($events)
    {
        $this->events = $events;
    }

    /**
     * @return ActionModel[]
     */
    public function getActions()
    {
        return $this->actions;
    }

    /**
     * @param ActionModel[] $actions
     */
    public function setActions($actions)
    {
        $this->actions = $actions;
    }

    /**
     * @return DateTime
     */
    public function getMetaInsertDt()
    {
        return $this->metaInsertDt;
    }

    /**
     * @param DateTime $metaInsertDt
     */
    public function setMetaInsertDt($metaInsertDt)
    {
        $this->metaInsertDt = $metaInsertDt;
    }

    /**
     * @return DateTime
     */
    public function getMetaUpdateDt()
    {
        return $this->metaUpdateDt;
    }

    /**
     * @param DateTime $metaUpdateDt
     */
    public function setMetaUpdateDt($metaUpdateDt)
    {
        $this->metaUpdateDt = $metaUpdateDt;
    }
}