<?php


namespace STINA\CrystalLift\Models\Resources;

use stdClass;

defined('ABSPATH') || exit;

class CampaignMeta
{
    /**
     * @var int
     */
    protected $id;

    /**
     * @var int
     */
    protected $campaignUniqueId;

    /**
     * @var string
     */
    protected $metaKey;

    /**
     * @var mixed
     */
    protected $metaValue;

    /**
     * License constructor.
     *
     * @param stdClass $licenseMeta
     */
    public function __construct($licenseMeta)
    {
        if (!$licenseMeta instanceof stdClass) {
            return;
        }

        $this->id               = intval($licenseMeta->id);
        $this->campaignUniqueId = intval($licenseMeta->campaign_unique_id);
        $this->metaKey          = $licenseMeta->meta_key;
        $this->metaValue        = maybe_unserialize($licenseMeta->meta_value);
    }

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return int
     */
    public function getCampaignUniqueId()
    {
        return $this->campaignUniqueId;
    }

    /**
     * @param int $campaignUniqueId
     */
    public function setCampaignUniqueId($campaignUniqueId)
    {
        $this->campaignUniqueId = $campaignUniqueId;
    }

    /**
     * @return string
     */
    public function getMetaKey()
    {
        return $this->metaKey;
    }

    /**
     * @param string $metaKey
     */
    public function setMetaKey($metaKey)
    {
        $this->metaKey = $metaKey;
    }

    /**
     * @return mixed
     */
    public function getMetaValue()
    {
        return $this->metaValue;
    }

    /**
     * @param mixed $metaValue
     */
    public function setMetaValue($metaValue)
    {
        $this->metaValue = $metaValue;
    }
}