<?php


namespace STINA\CrystalLift\Models\Resources;

use stdClass;
use STINA\Library\Abstracts\Model as AbstractModel;

defined('ABSPATH') || exit;

class CampaignRecipientRel extends AbstractModel
{
    /**
     * @var int
     */
    protected $id;

    /**
     * @var string
     */
    protected $campaignUniqueId;

    /**
     * @var int
     */
    protected $userId;

    /**
     * CampaignRecipientRel constructor.
     *
     * @param stdClass $campaignRecipientRel
     */
    public function __construct($campaignRecipientRel)
    {
        if (!$campaignRecipientRel instanceof stdClass) {
            return;
        }

        $this->id               = intval($campaignRecipientRel->id);
        $this->campaignUniqueId = $campaignRecipientRel->campaign_unique_id;
        $this->userId           = intval($campaignRecipientRel->user_id);
    }

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return string
     */
    public function getCampaignUniqueId()
    {
        return $this->campaignUniqueId;
    }

    /**
     * @param string $campaignUniqueId
     */
    public function setCampaignUniqueId($campaignUniqueId)
    {
        $this->campaignUniqueId = $campaignUniqueId;
    }

    /**
     * @return int
     */
    public function getUserId()
    {
        return $this->userId;
    }

    /**
     * @param int $userId
     */
    public function setUserId($userId)
    {
        $this->userId = $userId;
    }
}