<?php


namespace STINA\CrystalLift\Models\Resources;

use stdClass;
use STINA\Library\Abstracts\Model as AbstractModel;

defined('ABSPATH') || exit;

class CampaignTrigger extends AbstractModel
{
    /**
     * @var int
     */
    protected $id;

    /**
     * @var string
     */
    protected $campaignUniqueId;

    /**
     * @var string
     */
    protected $triggerUniqueId;

    /**
     * @var array
     */
    protected $variableMapping;

    /**
     * var int
     */
    protected $userId;

    /**
     * @var string
     */
    protected $createdAt;

    /**
     * @var int
     */
    protected $createdBy;

    /**
     * @var string
     */
    protected $updatedAt;

    /**
     * @var int
     */
    protected $updatedBy;

    /**
     * CampaignTrigger constructor.
     *
     * @param stdClass $campaignTrigger
     */
    public function __construct($campaignTrigger)
    {
        if (!$campaignTrigger instanceof stdClass) {
            return;
        }

        $this->id               = intval($campaignTrigger->id);
        $this->campaignUniqueId = $campaignTrigger->campaign_unique_id;
        $this->triggerUniqueId  = $campaignTrigger->trigger_unique_id;
        $this->variableMapping  = unserialize($campaignTrigger->variable_mapping);
        $this->userId           = intval($campaignTrigger->user_id);
        $this->createdAt        = $campaignTrigger->created_at;
        $this->createdBy        = $campaignTrigger->created_by;
        $this->updatedAt        = $campaignTrigger->updated_at;
        $this->updatedBy        = $campaignTrigger->updated_by;
    }

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return string
     */
    public function getCampaignUniqueId()
    {
        return $this->campaignUniqueId;
    }

    /**
     * @param string $campaignUniqueId
     */
    public function setCampaignUniqueId($campaignUniqueId)
    {
        $this->campaignUniqueId = $campaignUniqueId;
    }

    /**
     * @return string
     */
    public function getTriggerUniqueId()
    {
        return $this->triggerUniqueId;
    }

    /**
     * @param string $triggerUniqueId
     */
    public function setTriggerUniqueId($triggerUniqueId)
    {
        $this->triggerUniqueId = $triggerUniqueId;
    }

    /**
     * @return array
     */
    public function getVariableMapping()
    {
        return $this->variableMapping;
    }

    /**
     * @param array $variableMapping
     */
    public function setVariableMapping($variableMapping)
    {
        $this->variableMapping = $variableMapping;
    }

    /**
     * @return int
     */
    public function getUserId()
    {
        return $this->userId;
    }

    /**
     * @param int $userId
     */
    public function setUserId($userId)
    {
        $this->userId = $userId;
    }

    /**
     * @return string
     */
    public function getCreatedAt()
    {
        return $this->createdAt;
    }

    /**
     * @param string $createdAt
     */
    public function setCreatedAt($createdAt)
    {
        $this->createdAt = $createdAt;
    }

    /**
     * @return int
     */
    public function getCreatedBy()
    {
        return $this->createdBy;
    }

    /**
     * @param int $createdBy
     */
    public function setCreatedBy($createdBy)
    {
        $this->createdBy = $createdBy;
    }

    /**
     * @return string
     */
    public function getUpdatedAt()
    {
        return $this->updatedAt;
    }

    /**
     * @param string $updatedAt
     */
    public function setUpdatedAt($updatedAt)
    {
        $this->updatedAt = $updatedAt;
    }

    /**
     * @return int
     */
    public function getUpdatedBy()
    {
        return $this->updatedBy;
    }

    /**
     * @param int $updatedBy
     */
    public function setUpdatedBy($updatedBy)
    {
        $this->updatedBy = $updatedBy;
    }
}