<?php


namespace STINA\CrystalLift\Repositories\Resources;

use STINA\CrystalLift\Models\Resources\CampaignMeta as CampaignMetaResourceModel;
use STINA\CrystalLift\Setup;
use STINA\Library\Abstracts\ResourceRepository as AbstractResourceRepository;
use STINA\Library\Enumerators\ColumnType;
use STINA\Library\Interfaces\ResourceRepository as ResourceRepositoryInterface;

defined('ABSPATH') || exit;

class CampaignMeta extends AbstractResourceRepository implements ResourceRepositoryInterface
{
    /**
     * CampaignMeta constructor.
     */
    public function __construct()
    {
        global $wpdb;

        $this->table      = $wpdb->prefix . Setup::CAMPAIGN_META_TABLE_NAME;
        $this->primaryKey = 'id';
        $this->model      = CampaignMetaResourceModel::class;
        $this->mapping    = array(
            'id'                     => ColumnType::BIGINT,
            'campaign_unique_id'     => ColumnType::VARCHAR,
            'meta_key'               => ColumnType::VARCHAR,
            'meta_value'             => ColumnType::LONGTEXT
        );
    }
}