<?php

namespace STINA\CrystalLift\Repositories\Resources;

use STINA\CrystalLift\Setup;
use STINA\Library\Abstracts\ResourceRepository as AbstractResourceRepository;
use STINA\Library\Enumerators\ColumnType;
use STINA\Library\Interfaces\ResourceRepository as ResourceRepositoryInterface;
use STINA\CrystalLift\Models\Resources\CampaignRecipientRel as CampaignRecipientRelResourceModel;

defined('ABSPATH') || exit;

class CampaignRecipientRel extends AbstractResourceRepository implements ResourceRepositoryInterface
{
    /**
     * CampaignRecipientRel constructor.
     */
    public function __construct()
    {
        global $wpdb;

        $this->table      = $wpdb->prefix . Setup::CAMPAIGN_RECIPIENT_REL_TABLE_NAME;
        $this->primaryKey = 'id';
        $this->model      = CampaignRecipientRelResourceModel::class;
        $this->mapping    = array(
            'id'                 => ColumnType::BIGINT,
            'campaign_unique_id' => ColumnType::VARCHAR,
            'user_id'            => ColumnType::BIGINT
        );
    }
}
