<?php

namespace STINA\CrystalLift\Repositories\Resources;

use STINA\CrystalLift\Setup;
use STINA\Library\Abstracts\ResourceRepository as AbstractResourceRepository;
use STINA\Library\Enumerators\ColumnType;
use STINA\Library\Interfaces\ResourceRepository as ResourceRepositoryInterface;
use STINA\CrystalLift\Models\Resources\CampaignTrigger as CampaignTriggerResourceModel;

defined('ABSPATH') || exit;

class CampaignTrigger extends AbstractResourceRepository implements ResourceRepositoryInterface
{
    /**
     * CampaignTrigger constructor.
     */
    public function __construct()
    {
        global $wpdb;

        $this->table      = $wpdb->prefix . Setup::CAMPAIGN_TRIGGER_TABLE_NAME;
        $this->primaryKey = 'id';
        $this->model      = CampaignTriggerResourceModel::class;
        $this->mapping    = array(
            'id'                 => ColumnType::BIGINT,
            'campaign_unique_id' => ColumnType::VARCHAR,
            'trigger_unique_id'  => ColumnType::VARCHAR,
            'variable_mapping'   => ColumnType::VARCHAR,
            'user_id'            => ColumnType::BIGINT
        );
    }
}
