<?php


namespace STINA\CrystalLift\Widgets;

use STINA\Library\Abstracts\Widget as AbstractWidget;

defined('ABSPATH') || exit;

class News extends AbstractWidget
{
    /**
     * News constructor.
     */
    public function __construct()
    {
        $this->name = __('News', 'stina-crystal-lift');
        $this->body = $this->prepareBody();
        $this->footer = $this->prepareFooter();
    }

    /**
     * @return string
     */
    private function prepareBody()
    {
        $newsArticles = array(
            array(
                'name' => 'News Article #1',
                'publish_date' => '2020-05-08',
                'url' => '#'
            ),
            array(
                'name' => 'News Article #2',
                'publish_date' => '2020-05-07',
                'url' => '#'
            ),
            array(
                'name' => 'News Article #3',
                'publish_date' => '2020-05-06',
                'url' => '#'
            ),
            array(
                'name' => 'News Article #4',
                'publish_date' => '2020-05-05',
                'url' => '#'
            )
        );
        $html = '';

        if (count($newsArticles) === 0) {
            return __('There are currently no news articles available.', 'stina-crystal-lift');
        }

        $html .= '<p>';
        $html .= '<ul>';

        $html .= '
            <li class="stina-flexbox stina-mb-1">
                <strong class="stina-w-12">' . __('Article name', 'stina-crystal-lift') .'</strong>
                <strong class="stina-w-12">' . __('Publish date', 'stina-crystal-lift') .'</strong>
            </li>
        ';

        foreach ($newsArticles as $newsArticle) {
            $html .= '
                <li class="stina-flexbox" style="padding: 5px 0">
                    <a class="stina-w-12" href="' . esc_url($newsArticle['url']) . '">
                        <strong>' . $newsArticle['name'] . '</strong>
                    </a>
                    <span class="stina-w-12">' . $newsArticle['publish_date'] . '</span>
                </li>
            ';
        }

        $html .= '</ul>';
        $html .= '</p>';

        return $html;
    }

    /**
     * @return string
     */
    private function prepareFooter()
    {
        $html = false;

        return $html;
    }
}