Vue.component('stina-pagination', {
  computed: {
    lastPage() {
      return Math.ceil(this.$props.total / this.$props.limit);
    }
  },
  props: {
    page: {
      type: [String, Number],
      required: true
    },
    limit: {
      type: [String, Number],
      required: false
    },
    total: {
      type: [Number],
      required: false
    }
  },
  data: function() {
    return {
      mutablePage: parseInt(this.page)
    }
  },
  methods: {
    onChangePage(page) {
      if (page <= 0) {
        return;
      }

      this.mutablePage = parseInt(page);
      this.$emit('paginate', this.mutablePage);
    }
  },
  template:
    '<nav aria-label="Table pagination">' +
    '    <ul class="stina-pagination stina-pagination-sm">' +
    '        <li class="stina-page-item" :class="{ disabled: mutablePage === 1 }">' +
    '            <button type="button" class="stina-page-link" @click="onChangePage(1)" :disabled="mutablePage === 1">' +
    '                <i class="fas fa-angle-double-left"></i>' +
    '           </button>' +
    '       </li>' +
    '        <li class="stina-page-item" :class="{ disabled: mutablePage === 1 }">' +
    '            <button type="button" class="stina-page-link" @click="onChangePage(--mutablePage)" :disabled="mutablePage <= 1">' +
    '                <i class="fas fa-angle-left"></i>' +
    '           </button>' +
    '       </li>' +
    '        <li class="stina-page-item" v-if="mutablePage > 2">' +
    '            <button type="button" class="stina-page-link" @click="onChangePage(mutablePage - 2)">' +
    '               {{ mutablePage - 2 }}' +
    '           </button>' +
    '       </li>' +
    '        <li class="stina-page-item" v-if="mutablePage > 1">' +
    '            <button type="button" class="stina-page-link" @click="onChangePage(mutablePage - 1)">' +
    '               {{ mutablePage - 1 }}' +
    '           </button>' +
    '       </li>' +
    '        <li class="stina-page-item active">' +
    '            <button type="button" class="stina-page-link">{{ mutablePage }}</button>' +
    '       </li>' +
    '        <li class="stina-page-item" v-if="mutablePage < lastPage">' +
    '            <button type="button" class="stina-page-link" @click="onChangePage(mutablePage + 1)">' +
    '               {{ mutablePage + 1 }}' +
    '           </button>' +
    '       </li>' +
    '        <li class="stina-page-item" v-if="mutablePage < (lastPage - 1)">' +
    '            <button type="button" class="stina-page-link" @click="onChangePage(mutablePage + 2)">' +
    '               {{ mutablePage + 2 }}' +
    '           </button>' +
    '       </li>' +
    '        <li class="stina-page-item" :class="{ disabled: mutablePage === lastPage }">' +
    '            <button type="button" class="stina-page-link" @click="onChangePage(mutablePage + 1)" :disabled="mutablePage === lastPage">' +
    '                <i class="fas fa-angle-right"></i>' +
    '           </button>' +
    '       </li>' +
    '        <li class="stina-page-item" :class="{ disabled: mutablePage === lastPage }">' +
    '            <button type="button" class="stina-page-link" @click="onChangePage(lastPage)" :disabled="mutablePage === lastPage">' +
    '                <i class="fas fa-angle-double-right"></i>' +
    '           </button>' +
    '       </li>' +
    '   </ul>' +
    '</nav>'
});