Vue.component('stina-select2', {
  props: {
    index: {
      type: Number,
      required: false,
      default: null
    },
    value: {
      type: [String, Array],
      required: false,
      default: ''
    },
    ajax: {
      type: Object,
      required: false,
      default: null
    },
    allowClear: {
      type: Boolean,
      required: false,
      default: false
    },
    data: {
      type: Array,
      required: false,
      default: null
    },
    debug: {
      type: Boolean,
      required: false,
      default: false
    },
    disabled: {
      type: Boolean,
      required: false,
      default: false
    },
    dropdownCssClass: {
      type: String,
      required: false,
      default: ''
    },
    dropdownParent: {
      type: String,
      required: false,
      default: null
    },
    minimumInputLength: {
      type: Number,
      required: false,
      default: 0
    },
    multiple: {
      type: Boolean,
      required: false,
      default: false
    },
    placeholder: {
      type: [String, Object],
      required: false,
      default: null
    },
    selectionCssClass: {
      type: String,
      required: false,
      default: ''
    }
  },
  mounted: function() {
    var component = this;
    var el = jQuery(this.$el);

    el.select2({
      ajax: this.ajax,
      allowClear: this.allowClear,
      data: this.data,
      debug: this.debug,
      disabled: this.disabled,
      dropdownCssClass: this.dropdownCssClass,
      minimumInputLength: this.minimumInputLength,
      multiple: this.multiple,
      placeholder: this.placeholder,
      selectionCssClass: this.selectionCssClass
    })
      .val(el.val())
      .trigger('change')
      .on('change', function() {
        component.$emit('input', el.val(), component.index);
      });
  },
  watch: {
    ajax: function(ajax) {
      var el = jQuery(this.$el);

      el.select2({
        ajax: ajax,
        allowClear: this.allowClear,
        data: this.data,
        debug: this.debug,
        disabled: this.disabled,
        dropdownCssClass: this.dropdownCssClass,
        minimumInputLength: this.minimumInputLength,
        multiple: this.multiple,
        placeholder: this.placeholder,
        selectionCssClass: this.selectionCssClass
      });
    },
    value: function(value) {
      var el = jQuery(this.$el);

      el.val(value);
    },
    data: function(data) {
      var el = jQuery(this.$el);

      el.empty()
        .select2({
          ajax: this.ajax,
          allowClear: this.allowClear,
          data: data,
          debug: this.debug,
          disabled: this.disabled,
          dropdownCssClass: this.dropdownCssClass,
          minimumInputLength: this.minimumInputLength,
          multiple: this.multiple,
          placeholder: this.placeholder,
          selectionCssClass: this.selectionCssClass
        });
    },
    placeholder: function(placeholder) {
      var el = jQuery(this.$el);

      el.select2({
        ajax: this.ajax,
        allowClear: this.allowClear,
        data: this.data,
        debug: this.debug,
        disabled: this.disabled,
        dropdownCssClass: this.dropdownCssClass,
        minimumInputLength: this.minimumInputLength,
        multiple: this.multiple,
        placeholder: placeholder,
        selectionCssClass: this.selectionCssClass
      });
    }
  },
  destroyed: function() {
    var el = jQuery(this.$el);

    el.off().select2('destroy');
  },
  template:
    ''
    + '<select :multiple="this.multiple">'
    +   '<slot></slot>'
    + '</select>'
});
