<?php


namespace STINA\Library\Abstracts;

defined('ABSPATH') || exit;

abstract class Model
{
    /**
     * Returns the class properties as an array.
     *
     * @return array
     */
    public function toArray()
    {
        $objectVars = get_object_vars($this);

        foreach ($objectVars as $key => $value) {
            if (is_object($value) && method_exists($value, 'toArray')) {
                $objectVars[$key] = $value->toArray();
            }
        }

        return $objectVars;
    }
}