<?php


namespace STINA\Library\Interfaces;

use GuzzleHttp\Exception\GuzzleException;
use Psr\Http\Message\ResponseInterface;

defined('ABSPATH') || exit;

interface Connector
{
    /**
     * Creates a STINA info object (version 1.0.2).
     *
     * @param string $type    The request payload type
     * @param string $feature The request payload type
     * @param string $mode    The request payload mode
     * @param array  $data    The request payload data
     * @return array
     */
    public function createInfoObject($type, $feature, $mode, $data);

    /**
     * Performs a synchronous request to the remote STINA service.
     *
     * @param array        $body        The request body
     * @param false|string $auth        The request authentication type
     * @param false|string $token       The request authentication token
     * @param string       $method      The request method
     * @return ResponseInterface
     * @throws GuzzleException
     */
    public function request($body, $auth = false, $token = false, $method = 'POST');
}