<?php


namespace STINA\Library;

use Exception;

defined('ABSPATH') || exit;

class Uuid
{
    /**
     * Generates a v4 UUID
     *
     * @return string
     */
    public static function v4()
    {
        try {
            $data = PHP_MAJOR_VERSION < 7 ? openssl_random_pseudo_bytes(16) : random_bytes(16);
        } catch (Exception $e) {
            // Very bad, uses mt_rand() and might not be random enough. We only use this if everything else fails.
            return wp_generate_uuid4();
        }

        assert(strlen($data) == 16);

        $data[6] = chr(ord($data[6]) & 0x0f | 0x40); // set version to 0100
        $data[8] = chr(ord($data[8]) & 0x3f | 0x80); // set bits 6-7 to 10

        return vsprintf('%s%s-%s-%s-%s-%s%s%s', str_split(bin2hex($data), 4));
    }
}