<?php

use STINA\CrystalLift\Models\Campaign as CampaignModel;
use STINA\Library\Models\User as UserModel;

defined('ABSPATH') || exit;

/**
 * Modal - Campaign Configure Event Wizard
 *
 * @version 1.0.0
 *
 * @var CampaignModel $campaign
 * @var array         $campaignEventConfig
 * @var UserModel     $user
 */

?>

<div id="crysli-modal-campaign-configure-event-wizard" class="stina-modal">

    <div class="stina-modal-inner" style="position:relative;">

        <div class="stina-modal-outer-wrapper">

            <div class="stina-modal-title-bar">
                <div style="width: 25px" v-if="steps.current === 1">&nbsp;</div>
                <?php /*
                <button class="stina-modal-title-bar-action" @click="previousStep()" v-if="steps.current > 1">
                    <span class="sr-only"><?php _e('Back', 'stina-crystal-lift'); ?></span>
                    <i class="fas fa-arrow-left" aria-hidden="true" ></i>
                </button>
                */ ?>
                <div class="stina-modal-logo-container">
                    <b><?php _e('Configure campaign event', 'stina-crystal-lift'); ?></b>
                </div>
                <button class="stina-modal-title-bar-action" @click="close()">
                    <span class="sr-only"><?php _e('Back', 'stina-crystal-lift'); ?></span>
                    <i class="fas fa-times" aria-hidden="true" ></i>
                </button>
            </div>

            <div class="stina-modal-steps-wrapper">
                <div class="step step-1" :class="getStepClass(1)">
                    <?php crysli_get_template(
                        'modal-campaign-configure-event-wizard/step-1.php',
                        array(
                            'campaign' => $campaign,
                            'campaignEventConfig' => $campaignEventConfig
                        )
                    ); ?>
                </div>
            </div>

        </div>

    </div>

</div>