<?php defined('ABSPATH') || exit; ?>

<div class="row boxed">
    <div class="col-12">
        <h2><?php _e('Create an automated campaign', 'stina-crystal-lift'); ?></h2>
        <p class="stina-mb-0"><?php _e('Automated campaigns allow you to target your audience based on an event. To get started, please select one of the available templates or create your own event-based campaign.', 'stina-crystal-lift'); ?></p>
    </div>
</div>

<div class="row boxed">
    <div class="col-12">
        <ul class="stina-nav stina-nav-tabs-simple" role="tablist" style="justify-content: flex-start">
            <li class="stina-nav-item">
                <button class="stina-nav-link"
                        :class="getAutomatedCampaignTypeTabClass('CAMPAIGN_AUTOMATED_TEMPLATES')"
                        id="profile-tab"
                        data-toggle="tab"
                        role="tab"
                        @click="selected.type = 'CAMPAIGN_AUTOMATED_TEMPLATES'">
                    <?php _e('Templates', 'stina-crystal-lift'); ?>
                </button>
            </li>
            <li class="stina-nav-item">
                <button class="stina-nav-link"
                   :class="getAutomatedCampaignTypeTabClass('CAMPAIGN_AUTOMATED_EVENT_BASED')"
                   id="profile-tab"
                   data-toggle="tab"
                   role="tab"
                   @click="selected.type = 'CAMPAIGN_AUTOMATED_EVENT_BASED'">
                    <?php _e('Event-Based', 'stina-crystal-lift'); ?>
                </button>
            </li>
            <li class="stina-nav-item">
                <button class="stina-nav-link"
                   :class="getAutomatedCampaignTypeTabClass('RULE_BASED')"
                   id="home-tab"
                   data-toggle="tab"
                   role="tab"
                   disabled="disabled">
                    <?php _e('Workflow-Based', 'stina-crystal-lift'); ?>
                    <sup>
                        <span class="stina-badge info" style="font-size: smaller; padding: 1px 5px;"><?php _e('Business', 'stina-crystal-lift'); ?></span>
                    </sup>
                </button>
            </li>
        </ul>
    </div>
</div>

<div v-if="selected.type === 'CAMPAIGN_AUTOMATED_TEMPLATES'">
    <?php crysli_get_template('modal-campaign-create-wizard/tabs-campaign-type/tab-automated/tab-templates.php'); ?>
</div>

<div v-if="selected.type === 'CAMPAIGN_AUTOMATED_EVENT_BASED'">
    <?php crysli_get_template('modal-campaign-create-wizard/tabs-campaign-type/tab-automated/tab-event-based.php'); ?>
</div>

