<?php defined('ABSPATH') || exit; ?>

<div class="row boxed">
    <div class="col-12">
        <strong><?php _e('Featured', 'stina-crystal-lift'); ?></strong>
        <p class="stina-mb-0"><?php _e('Pre-configured event templates.', 'stina-crystal-lift'); ?></p>
    </div>

    <div class="col-12 stina-flexbox automated-event-wrapper">
        <div class="automated-event-container" v-for="event in events" :key="event.uniqueId" v-if="events.length > 0">
            <button class="automated-event"
                    :class="{ active: selected.event.uniqueId === event.uniqueId }"
                    @click="onSelectAutomatedEvent(event)">
                <p><strong>{{ event.name }}</strong></p>
                <p><small>{{ event.descShort }}</small></p>
            </button>
        </div>

        <div v-if="events.length === 0">
            <p><?php _e('No events available. Do you have WooCommerce installed and activated?', 'stina-crystal-lift'); ?></p>
        </div>
    </div>
</div>

