<?php defined('ABSPATH') || exit; ?>

<div class="row boxed">
    <div class="col-12">
        <h2><?php _e('Create a regular campaign', 'stina-crystal-lift'); ?></h2>
        <p class="stina-mb-0"><?php _e('To get started, give your campaign a name.', 'stina-crystal-lift'); ?></p>
    </div>
</div>

<div class="row boxed">
    <div class="col-12">
        <ul class="stina-nav stina-nav-tabs-simple" role="tablist" style="justify-content: flex-start">
            <li class="stina-nav-item">
                <button class="stina-nav-link"
                        :class="getAutomatedCampaignTypeTabClass('CAMPAIGN_REGULAR')"
                        id="profile-tab"
                        data-toggle="tab"
                        role="tab"
                        @click="selected.type = 'CAMPAIGN_REGULAR'">
                    <?php _e('Ad-Hoc', 'stina-crystal-lift'); ?>
                </button>
            </li>
            <li class="stina-nav-item">
                <button class="stina-nav-link"
                        id="home-tab"
                        data-toggle="tab"
                        role="tab"
                        disabled="disabled">
                    <?php _e('File upload', 'stina-crystal-lift'); ?>
                    <sup>
                        <span class="stina-badge info" style="font-size: smaller; padding: 1px 5px;"><?php _e('Business', 'stina-crystal-lift'); ?></span>
                    </sup>
                </button>
            </li>
        </ul>
    </div>
</div>

<div class="row boxed">
    <div class="col-12">
        <form action="<?php echo esc_url(admin_url('admin-post.php')); ?>" method="post">
            <input type="hidden" name="action" value="crysli_campaign_create_campaign">
            <?php wp_nonce_field('crysli_campaign_create_campaign'); ?>
            <input type="hidden" name="campaign_type" v-model="selected.type">
            <input type="hidden" name="campaign_action_unique_id" v-model="selected.action.uniqueId">
            <input type="hidden" name="campaign_event_unique_id" v-model="selected.event.uniqueId">

            <div class="stina-form-group">
                <label for="campaign_name_regular">
                    <strong><?php _e('Campaign name', 'stina-crystal-lift'); ?></strong>
                </label>
                <input id="campaign_name_regular"
                       class="stina-form-control stina-w-12"
                       type="text"
                       name="campaign_name"
                       required="required"
                       minlength="4"
                       maxlength="32">
            </div>

            <button class="stina-btn stina-btn-primary" type="submit"><?php _e('Begin', 'stina-crystal-lift'); ?></button>
        </form>
    </div>
</div>
