<?php

use STINA\CrystalLift\Models\Campaign as CampaignModel;
use STINA\Library\Models\User as UserModel;

defined('ABSPATH') || exit;

/**
 * Modal - Campaign Edit Recipients Wizard
 *
 * @version 1.0.0
 *
 * @var CampaignModel $campaign
 * @var UserModel $user
 */

?>

<div id="crysli-modal-campaign-edit-recipients-wizard" class="stina-modal">

    <div class="stina-modal-inner">

        <div class="stina-modal-outer-wrapper">

            <div class="stina-modal-title-bar">
                <div style="width: 25px" v-if="steps.current === 1">&nbsp;</div>
                <button class="stina-modal-title-bar-action" @click="previousStep()" v-if="steps.current > 1">
                    <span class="sr-only"><?php _e('Back', 'stina-crystal-lift'); ?></span>
                    <i class="fas fa-arrow-left" aria-hidden="true" ></i>
                </button>
                <div class="stina-modal-logo-container">
                    <b>Crystal LIFT - <?php _e('Edit campaign content', 'stina-crystal-lift'); ?></b>
                </div>
                <button class="stina-modal-title-bar-action" @click="close()">
                    <span class="sr-only"><?php _e('Back', 'stina-crystal-lift'); ?></span>
                    <i class="fas fa-times" aria-hidden="true" ></i>
                </button>
            </div>

            <div class="stina-modal-steps-wrapper">
                <div class="step step-1" :class="getStepClass(1)">
                    <?php crysli_get_template(
                        'modal-campaign-edit-recipients-wizard/step-1.php',
                        array(
                            'campaign' => $campaign
                        )
                    ); ?>

                </div>
                <div class="step step-2" :class="getStepClass(2)">
                    <?php crysli_get_template(
                        'modal-campaign-edit-recipients-wizard/step-2.php',
                        array(
                            'campaign' => $campaign
                        )
                    ); ?>
                </div>

            </div>

        </div>

    </div>

</div>