<?php

use STINA\Library\Interfaces\UiComponent as UiComponentInterface;
use STINA\Library\Interfaces\Widget as WidgetInterface;
use STINA\Library\Models\User as UserModel;

defined('ABSPATH') || exit;

/**
 * Dashboard main component
 *
 * @version 1.0.0
 *
 * @var UserModel $user
 * @var WidgetInterface[] $widgets
 * @var UiComponentInterface[] $ui
 */

?>

<div class="wrap stina-wrap">

    <div class="stina-row">
        <div class="col-12">
            <?php stina_alerts(); ?>
        </div>
    </div>

    <div class="stina-row">
        <div class="col-12">
            <div class="stina-header">
                <?php $ui['heading']->render(); ?>
            </div>
        </div>
    </div>

    <div class="stina-row">
        <?php foreach ($widgets as $i => $widget): ?>
            <div class="col-sm-12 col-md-6">
                <div class="stina-card">

                    <div class="stina-card-header">
                        <h2 class="stina-card-heading"><?php echo esc_html($widget->getName()); ?></h2>
                    </div>

                    <div class="stina-card-body">
                        <?php echo $widget->getBody(); ?>
                    </div>

                    <?php if ($widget->getFooter() !== false): ?>

                        <div class="stina-card-footer">
                            <?php echo $widget->getFooter(); ?>
                        </div>

                    <?php endif; ?>
                </div>
            </div>
        <?php endforeach; ?>
    </div>
</div>