<?php

defined('ABSPATH') || exit;

/**
 * Dashboard sign in component
 *
 * @version 1.0.0
 * @var string $signUpUrl
 */

?>

<div class="wrap stina-wrap">

    <div class="stina-row">
        <div class="col-12">
            <?php stina_alerts(); ?>
        </div>
    </div>

    <div class="stina-row stina-flexbox">
        <div class="col-sm-12 col-md-6 col-lg-4 stina-my-3 stina-ml-3">
            <div class="stina-card">

                <div class="stina-card-body">

                    <a href="https://www.stina-global.com" class="stina-d-b stina-mx-auto stina-mt-2" style="max-width: 80px">
                        <img class="stina-d-b" src="<?php echo esc_url(crysli_get_img_url('logo_stina_sm.png')); ?>" alt="STINA" title="STINA Business Solutions GmbH">
                    </a>

                    <h2 class="stina-text-center stina-mb-2"><?php _e('Sign in', 'stina-crystal-lift'); ?></h2>

                    <p class="stina-mb-2">
                        <?php _e('Need a STINA account?', 'stina-crystal-lift'); ?>
                        <a href="<?php echo esc_url($signUpUrl); ?>" target="_blank" rel="noopener noreferrer"><?php _e('Create one'); ?>.</a>
                    </p>

                    <form action="<?php echo esc_url(admin_url('admin-post.php')); ?>" method="post">
                        <input type="hidden" name="action" value="crysli_sign_in">
                        <?php wp_nonce_field('crysli_sign_in'); ?>

                        <div class="stina-form-group">
                            <label for="crysli-login-email">
                                <?php _e('Email address', 'stina-crystal-lift'); ?>
                            </label>
                            <input id="crysli-login-email"
                                   type="email"
                                   class="stina-form-control stina-w-12"
                                   name="email">
                        </div>
                        <div class="stina-form-group">
                            <label for="crysli-login-password">
                                <?php _e('Password', 'stina-crystal-lift'); ?>
                            </label>
                            <input id="crysli-login-password"
                                   type="password"
                                   class="stina-form-control stina-w-12"
                                   name="password">
                        </div>

                        <button type="submit" class="stina-btn stina-btn-primary stina-btn-block stina-btn-lg stina-my-1">
                            <?php _e('Sign in', 'stina-crystal-lift'); ?>
                        </button>
                    </form>

                    <p class="stina-text-center"><a href="mailto:support@stina-global.com?Subject=Crystal%20LIFT%20-%20Forgotten%20Password"><?php _e('Forgot username or password?'); ?></a></p>

                    <p class="stina-text-muted stina-text-smaller stina-text-center">
                        <?php _e('© 2011-2020 STINA Business Solutions GmbH or its affiliates. All rights reserved.', 'stina-crystal-lift'); ?>
                    </p>
                </div>
            </div>
        </div>

        <div class="col-8 stina-rock-background stina-d-n stina-d-b-lg stina-my-3 stina-mr-3" style="background-image: url(<?php echo esc_url(crysli_get_img_url('sgl_rock-1.png')); ?>);"></div>
    </div>

</div>

