<?php

use STINA\Library\Interfaces\UiComponent as UiComponentInterface;

defined('ABSPATH') || exit;

/**
 * @var array                  $environments
 * @var string                 $environment
 * @var UiComponentInterface[] $ui
 * @var array                  $logFiles
 */

?>

<div class="wrap stina-wrap">

    <div class="stina-row">
        <div class="col-12">
            <?php stina_alerts(); ?>
        </div>
    </div>

    <div class="stina-row">
        <div class="col-12">
            <div class="stina-header">
                <?php $ui['heading']->render(); ?>
            </div>
        </div>
    </div>

    <div class="stina-row">
        <div class="col-12">
            <div id="stina-settings" class="stina-container">
                <form @submit.prevent="onSubmit">

                    <div class="stina-row stina-mb-1 settings-container">

                        <nav class="settings-sidebar">
                            <ul>
                                <li>
                                    <a href="#"
                                       class=""
                                       :class="{ active: active.section === 'general' }"
                                       @click="onSelectSection('general')">
                                        <strong><?php _e('General', 'stina-crystal-lift'); ?></strong>
                                    </a>
                                </li>
                                <li>
                                    <a href="#"
                                       class=""
                                       :class="{ active: active.section === 'services' }"
                                       @click="onSelectSection('services')">
                                        <strong><?php _e('Services', 'stina-crystal-lift'); ?></strong>
                                    </a>
                                </li>
                                <li>
                                    <a href="#"
                                       class=""
                                       :class="{ active: active.section === 'tools' }"
                                       @click="onSelectSection('tools')">
                                        <strong><?php _e('Tools', 'stina-crystal-lift'); ?></strong>
                                    </a>
                                </li>
                                <li>
                                    <a href="#"
                                       class=""
                                       :class="{ active: active.section === 'system' }"
                                       @click="onSelectSection('system')">
                                        <strong><?php _e('System', 'stina-crystal-lift'); ?></strong>
                                    </a>
                                </li>
                                <li>
                                    <a href="#"
                                       class=""
                                       :class="{ active: active.section === 'support' }"
                                       @click="onSelectSection('support')">
                                        <strong><?php _e('Support', 'stina-crystal-lift'); ?></strong>
                                    </a>
                                </li>
                            </ul>
                        </nav>

                        <section class="settings-box" style="position: relative" v-cloak>
                            <div v-if="active.section === 'general'">
                                <?php crysli_get_template('page-settings/component-main/section-general.php'); ?>
                            </div>
                            <div v-if="active.section === 'services'">
                                <?php crysli_get_template('page-settings/component-main/section-services.php'); ?>
                            </div>
                            <div v-if="active.section === 'tools'">
                                <?php crysli_get_template(
                                    'page-settings/component-main/section-tools.php',
                                    array(
                                        'logFiles' => $logFiles
                                    )
                                ); ?>
                            </div>
                            <div v-if="active.section === 'system'">
                                <?php crysli_get_template(
                                    'page-settings/component-main/section-system.php',
                                    array(
                                        'environments' => $environments,
                                        'environment' => $environment
                                    )
                                ); ?>
                            </div>
                            <div v-if="active.section === 'support'">
                                <?php crysli_get_template('page-settings/component-main/section-support.php'); ?>
                            </div>

                            <?php crysli_get_template('loading.php'); ?>
                        </section>

                    </div>

                </form>
            </div>
        </div>
    </div>

</div>